gnutls_x509_privkey_get_seed(3)

NAME
gnutls_x509_privkey_get_seed - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_get_seed(gnutls_x509_privkey_t key, gnutls_digest_algorithm_t * digest, void * seed, size_t * seed_size);

ARGUMENTS

gnutls_x509_privkey_t key
    should contain a gnutls_x509_privkey_t type

gnutls_digest_algorithm_t * digest
    if non-NULL it will contain the digest algorithm used for key generation (if applicable)

void * seed
    where seed will be copied to

size_t * seed_size
    originally holds the size of seed , will be updated with actual size

DESCRIPTION
This function will return the seed that was used to generate the given private key. That function will succeed only if the key was generated as a provable key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/